
%___Helmholtz parameters:
%par.A=3.14*0.0254*0.0254*0.25;             %1" pipe
par.A=3.14*0.25*(8*0.0254)^2;               %Area of 8" pipe
%par.A=3.14*0.3048*0.3048*0.25;             %Area of 12" pipe
%par.A=3.14*0.508*0.508*0.25;               %20"
par.N=10;                                   %Number of sections    
par.h=100;                                  %Length of section
par.c= 330;                                 %Speed of sound
%par.rho_0=.3
par.rho_0=0.649;                            %Fluid density kg/m3, 
                                               %Natural gas 0.7-0.9 STP 
%par.B= .001268;                            %Friction Coefficient 
                                            %B= 8*kin_visc / r^2
par.B=(8*19.2e-6)/((4*0.0254)*(4*0.0254));
par.H=300;                                  %riser height
par.p_stat=par.rho_0*9.81*par.H+10^5;       %static riser pressure
par.p_WH=200e5;                             %Well Head pressure
par.p_amb=1030*9.81*par.H;                  %Ambient pressure(seabed press)
par.p_init=1e5;                             %Initial pipeline pressure
par.p_init_est=1e5;                         %Initial pipe pressure estimator


%___detection parameters
par.xc_th=-200;                             %Cross-correlation threshold
par.l=par.N*par.h;                          %Total length of pipeline
par.h2=20;                                  %Length of estimator section

par.p_der_th=2.25e6;                        %Pressure derivative threshold
par